
Ryzom - Feature # 1333

Status: Closed Priority: Normal
Author: Krolock Category: Tools: Build Gamedata
Created: 07/19/2011 Assignee: kaetemi
Updated: 03/02/2012 Due date: 08/14/2011
Subject: Build NeL plugins with 3DSmax SDK 2012
Description

The header files and some other minor parts have changed in the new 3DSmax SDK 2012. This feature is to fix and improve the NeL
plugin code to compile on the one hand with the new 3DSmax 2012 and on the other hand stay downward to older versions of
3dsmax (2011, 2010 and so on).
A #define section should differentiate which SDK version exists and should include the correct headers.

History
#1 - 07/19/2011 11:51 pm - Krolock

Fixed the code to compile with 3DSmax SDK 2012 without any errors. I tested the plugins with 3DSmax 2012 and they worked as desired. I had no
errors or any other offnominal behaviour.
Next step: add the #define section.
After everything is done, I provide the patch and the binaries on the wiki.

#2 - 07/27/2011 09:14 pm - Krolock
- File 3dsmax2012_plugins.patch added

Changes in detail:
- fixed different headernames and folders
- changed some deprecated functions
- fixed cmake files to find 2012 SDK and add a #define macro to differentiate between SDK version 2012 and older ones.

Please test the patch and post any errors you get with the different versions of 3dsmax.

#3 - 08/13/2011 07:43 pm - kaetemi

You can use #if MAX_VERSION_MAJOR >= 14 directly to check the max version, no need to define anything new.

#4 - 08/13/2011 08:04 pm - kaetemi
- Due date set to 08/14/2011
- Status changed from New to Assigned
- Assignee changed from Krolock to kaetemi

Testing this with some changes this evening or tomorrow.

#5 - 08/13/2011 11:53 pm - kaetemi
- Status changed from Assigned to Patched
- % Done changed from 50 to 80

Someone needs to test if the build pipeline (specifically all the exporting, especially animations) works with 2012.

#6 - 09/08/2011 10:31 am - kaetemi
- Status changed from Patched to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:9dfebf5db073.

#7 - 12/07/2011 11:08 pm - dnk-88
- Target version set to Version 0.9.0

#8 - 03/02/2012 10:18 pm - kaetemi
- Status changed from Resolved to Closed

Files
3dsmax2012_plugins.patch 14.1 kB 07/27/2011 Krolock
